#!/usr/bin/env python3

import random
import time

def fibo(value):
    if value < 0:
        raise "Negative number"

    a, b = 0, 1
    for i in range(2, value+1):
        a, b = b, a+b

    print("Fibonacci: {} is {}".format(value, b))

def random_delay(value):
    temp = random.randint(1,value+2)
    time.sleep(temp)
    fibo(value)

start_time = time.time()
for i in range(15):
    random_delay(i)
print("--- %.2f seconds ---" % (time.time() - start_time))
